# Gio::DBusAnnotationInfo Class Reference

DBusAnnotationInfo - Stores information about an annotation. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusAnnotationInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusAnnotationInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusAnnotationInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::ustring | info_lookup (const Glib::ArrayHandle< Glib::RefPtr< DBusAnnotationInfo > >& annotations, const Glib::ustring& name)
| Looks up the value of an annotation.
## Protected Member Functions
| DBusAnnotationInfo ()
void | operator delete (void*, size_t)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::DBusAnnotationInfo > | wrap (GDBusAnnotationInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

DBusAnnotationInfo - Stores information about an annotation.

Since glibmm 2.26:

## Constructor & Destructor Documentation

Gio::DBusAnnotationInfo::DBusAnnotationInfo | ( |  | ) | `[protected]`

## Member Function Documentation

const GDBusAnnotationInfo* Gio::DBusAnnotationInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusAnnotationInfo* Gio::DBusAnnotationInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

GDBusAnnotationInfo* Gio::DBusAnnotationInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::ustring Gio::DBusAnnotationInfo::info_lookup | ( | const Glib::ArrayHandle< Glib::RefPtr< DBusAnnotationInfo > >& | annotations,
|  | const Glib::ustring& | name |
| ) |  |  | `[static]`

Looks up the value of an annotation.

This cost of this function is O(n) in number of annotations.

Since glibmm 2.26:

Parameters:

  | annotations | A `0`-terminated array of annotations or `0`.
  | name | The name of the annotation to look up.

Returns:
  The value or `0` if not found. Do not free, it is owned by annotations.

void Gio::DBusAnnotationInfo::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Gio::DBusAnnotationInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBusAnnotationInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBusAnnotationInfo > wrap | ( | GDBusAnnotationInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.